Package Details: mnemosyne 2.7.3-1

Git Clone URL: https://aur.archlinux.org/mnemosyne.git (read-only, click to copy)
Package Base: mnemosyne
Description: A flash-card tool with a sophisticated card review algorithm
Upstream URL: http://www.mnemosyne-proj.org
Keywords: Anki flashcard learn memorize
Licenses: GPL
Conflicts: mnemosyne-bzr
Submitter: wide-eyed
Maintainer: billypilgrim
Last Packager: billypilgrim
Votes: 85
Popularity: 0.040783
First Submitted: 2007-11-04 20:08
Last Updated: 2020-12-11 16:07

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 Next › Last »

marmistrz commented on 2018-02-15 13:59

smls, can you either cherry-pick for the package or take the release from git until 2.6 is released? See https://groups.google.com/forum/#!topic/mnemosyne-proj-users/FuxpQ4079w0

smls commented on 2017-12-14 20:58

@marmistrz Fixed now. (The upstream package had received a small post-release bugfix update without a new version number.)

marmistrz commented on 2017-12-14 19:26

I get an integrity check fail

smls commented on 2017-08-09 21:34

@marmistrz: An oversight. I added it now. Thanks!

marmistrz commented on 2017-08-08 16:30

Why is --optimize=1 not passed to setup.py?
https://wiki.archlinux.org/index.php/Python_package_guidelines#distutils

Kanjelman commented on 2017-07-14 18:25

@smls
I can also confirm that the font-changing crash no longer happens with the latest version. Many thanks for your help and the hard work you do in maintaining this package. Cheers!

smls commented on 2017-07-14 14:22

@Kanjelman:
With the new Mnemosyne version (2.5), the font-changing crash no longer happens for me. Just re-install the package to get that version.

@marmistrz:
I switched to sha256 now for this package.
But I'm wondering, if this is best practice, why does `makepkg -g` still generate an md5sum by default?

marmistrz commented on 2017-07-14 12:26

Btw. it may be a good idea to move on to sha256/512sums. md5 collisions are so easy nowadays.

smls commented on 2017-07-03 15:25

@Kanjelman

I can confirm that error. Will investigate.

Kanjelman commented on 2017-07-01 21:26

@smls

This is my first time installing Mnemosyne. Here are my observations when looking for the three locations you describe

~/.local/share/mnemosyne
-there are two folders, 'Mnemosyne' and 'mnemosyne'
-Mnemosyne contains
QtWebEngine (folder)
-mnemosyne contains:
backups (folder)
default.db_media (folder)
history (folder)
plugins (folder)
default.db (SQLite3 database)
default.db-journal (unknown)

~/.config/mnemosyne/
-there is one folder, 'mnemosyne' which contains
_pycache_ (folder)
config.db (SQLite3 database)
config.py (Python script)
machine.id (plain text document)

~/.Mnemosyne/
-could not be found

I went ahead and deleted the mnemosyne folders in the two locations (backing up first). Afterwards, I tried to launch mnemosyne from the launcher icon, and now it loads! I was also able to successfully import my .cards file from backup.

Unfortunately, a new problem occurs when I try to change the font style or size:
An unexpected error has occurred.
Please forward the following info to the developers:

Traceback (innermost last):
File "/usr/lib/python3.6/site-packages/mnemosyne/pyqt_ui/configuration_dlg.py", line 54, in accept
self.tab_widget.widget(index).apply()
File "/usr/lib/python3.6/site-packages/mnemosyne/pyqt_ui/configuration_wdgt_card_appearance.py", line 206, in apply
update(card_type)
File "/usr/lib/python3.6/site-packages/mnemosyne/libmnemosyne/renderers/html_css.py", line 94, in update
self.card_type_css(card_type, **render_args)
File "/usr/lib/python3.6/site-packages/mnemosyne/libmnemosyne/renderers/html_css.py", line 71, in card_type_css
family,size,x,x,w,i,u,s,x,x = font_string.split(",")
ValueError: too many values to unpack (expected 10)

However, if this is the only problem...I can live with it for now. Many thanks for your time and help.